Subject: Re: Naming the cygnus shell
From: Adam Schlegel <[email-masked]>
To: "Turetsky, James" <[email-masked]>
Cc: [email-masked]
Date: Tue, 15 Aug 2000 16:33:20 -0400

By default, cygwin sets its default prompt to be:
	username@hostname working-directory
	$
It takes up two lines. In your case, either your username
is "I have no name!", or you are seeing some bash error message
that I haven't seen before. It appears that your hostname is
"TOWW5076". 

The ~ in that expression *is* the working directory. On a
UNIX system, the ~ character is used as a short-hand for
your $HOME directory. Since Cygwin is basically UNIX for Windows,
it also uses this shortform. Try changing the directory to
see what happens.

If you *really* want Cygwin to look like a DOS box, you can
change the default value for your prompt with the command:
	export PS1='`cygpath -w \w`>'
Note: the inner quotes are backticks, (on the smae key as ~)

You can find out more fun things about bash and Cygwin in
general, by using the command:	man bash

Changing the title for the window is a more complicated question.
To change the window title use this command:
	echo -e '\e]0;foobar\07'
where foobar is the new name for the window. Don't ask why. It
has to do with DOS escape sequences. Not at all fun.

Adam Schlegel

On Tue, Aug 15, 2000 at 02:10:00PM -0400, Turetsky, James wrote:
>      Hello,
>      
>      Could you help me with the following two problems I have when using 
>      cygnus, which I just installed.
>      
>      When I click on a cygnus bash shell icon, I get a window which looks 
>      like ms-dos window.  The grey bar on top of the window has character 
>      ~.  Inside the window, right a line before the prompt $, I have a 
>      message in green font saying:
>      
>      I have no name!@TOWW5076 ~
>      
>      Questions.
>      
>      1.  How can I get rig of the message?
>      2.  How can I set the prompt $ to be something like the dos prompt 
>      that shows something like directory/subdirectory>  ?
>      
>      Alternatively, 
>      
>      3.  How can I display the directory path instead of the character ~ on 
>      the top of the window?
>      
>      Thank you.
>      
>      -James
>      
>      please reply to [email-masked]
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]

-- 
"Whenever I type any code I never have any bugs. I never have
any syntax errors. These fingers are like gold. And if you
believe that, I have some other stuff I can sell you."
	T. Vasiga, CS 241

--
Want to unsubscribe from this list?
Send a message to [email-masked]